osdir.com

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Error after installing python 2.7.5 on rhel6


Hi All,

I'm a beginner on this. I tried to install python 2.7.5 on my rhel6 os. It already had installed 2.6.6. 

I downloaded the tar and unzipped it the executed below command.
./configure --prefix=/usr       \
            --enable-shared     \
            --with-system-expat \
            --with-system-ffi   \
            --enable-unicode=ucs4 &&
make

afterwards,

sudo make install &&
sudo chmod -v 755 /usr/lib/libpython2.7.so.1.0

everything executed successfully. but after the installation I'm getting an error when I type python or python --version in the terminal.Below is the error I get. Does Anyone here know how to solve this? 

python: error while loading shared libraries: libpython2.7.so.1.0: cannot open shared object file: No such file or directory

>From my little knowledge I know instead of executing make install I should have executed make altinstall